Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.templates
Class KeyDeclaration

    java.lang.Object
      |
      +--org.apache.xalan.utils.UnImplNode
            |
            +--org.apache.xalan.templates.ElemTemplateElement
                  |
                  +--org.apache.xalan.templates.KeyDeclaration

public class KeyDeclaration
extends ElemTemplateElement

**For internal use only** Holds the attribute declarations for the xsl:keys element. A stylesheet declares a set of keys for each document using the xsl:key element. When this set of keys contains a member with node x, name y and value z, we say that node x has a key with name y and value z.

See Also:
  key in XSLT Specification, Serialized Form

Field Summary
`static int` | `BUILDING` **For internal use only**
`static int` | `BUILT` **For internal use only**
`static int` | `UNBUILT` **For internal use only**

Constructor Summary
`KeyDeclaration()` **For internal use only**

Method Summary
`int` | `getBuildState()` **For internal use only** Get the state of the build for this key.
`XPath` | `getMatch()` **For internal use only** Get the "match" attribute.
`QName` | `getName()` **For internal use only** Get the "name" attribute.
`XPath` | `getUse()` **For internal use only** Get the "use" attribute.
`void` | `setBuildState(int state)` **For internal use only** Set the state of the build for this key.
`void` | `setMatch(XPath v)` **For internal use only** Set the "match" attribute.
`void` | `setName(QName name)` **For internal use only** Set the "name" attribute.
`void` | `setUse(XPath v)` **For internal use only** Set the "use" attribute.

Methods inherited from class org.apache.xalan.templates.ElemTemplateElement
`appendChild, compose, error, execute, getBaseIdentifier, getChildNodes, getColumnNumber, getDeclaredPrefixes, getDOMBackPointer, getFirstChild, getFirstChildElem, getLastChild, getLength, getLineNumber, getNamespaceForPrefix, getNamespaceForPrefix, getNextSibling, getNextSiblingElem, getNodeName, getNodeType, getOwnerDocument, getParentElem, getParentNode, getPrefixes, getPreviousSibling, getPublicId, getStylesheet, getStylesheetComposed, getStylesheetRoot, getSystemId, getTagName, getXmlSpace, getXSLToken, hasChildNodes, isCompiledTemplate, item, removeChild, replaceChild, resolvePrefixTables, runtimeInit, setDOMBackPointer, setLocaterInfo, setPrefixes, setPrefixes, setXmlSpace`

Methods inherited from class org.apache.xalan.utils.UnImplNode
`appendData, cloneNode, createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, deleteData, error, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDoctype, getDocumentElement, getElementById, getElementsByTagName, getElementsByTagNameNS, getImplementation, getLocalName, getNamespaceURI, getNodeValue, getOwnerElement, getPrefix, getSpecified, hasAttribute, hasAttributeNS, hasAttributes, importNode, insertBefore, insertData, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, replaceData, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setData, setNodeValue, setPrefix, setValue, splitText, substringData, supports`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNBUILT

    public static int UNBUILT

### BUILDING

    public static int BUILDING

### BUILT

    public static int BUILT

Constructor Detail

### KeyDeclaration

    public KeyDeclaration()

Method Detail

### setName

    public void setName(QName name)

  **For internal use only** Set the "name" attribute. The name attribute specifies the name of the key. The value of the name attribute is a QName, which is expanded as described in [2.4 Qualified Names].

### getName

    public QName getName()

  **For internal use only** Get the "name" attribute. The name attribute specifies the name of the key. The value of the name attribute is a QName, which is expanded as described in [2.4 Qualified Names].

### setMatch

    public void setMatch(XPath v)

  **For internal use only** Set the "match" attribute. The match attribute is a Pattern; an xsl:key element gives information about the keys of any node that matches the pattern specified in the match attribute.
  See Also:
    patterns in XSLT Specification

### getMatch

    public XPath getMatch()

  **For internal use only** Get the "match" attribute. The match attribute is a Pattern; an xsl:key element gives information about the keys of any node that matches the pattern specified in the match attribute.
  See Also:
    patterns in XSLT Specification

### setUse

    public void setUse(XPath v)

  **For internal use only** Set the "use" attribute. The use attribute is an expression specifying the values of the key; the expression is evaluated once for each node that matches the pattern.

### getUse

    public XPath getUse()

  **For internal use only** Get the "use" attribute. The use attribute is an expression specifying the values of the key; the expression is evaluated once for each node that matches the pattern.

### setBuildState

    public void setBuildState(int state)

  **For internal use only** Set the state of the build for this key.
  Parameters:
    `state` - One of UNBUILT, BUILDING, BUILT.

### getBuildState

    public int getBuildState()

  **For internal use only** Get the state of the build for this key.
  Returns:
    One of UNBUILT, BUILDING, BUILT.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.